diff -rupN arpack++1.2.orig/examples/harwell/nonsym/hnsymstd.cc arpack++1.2.patched/examples/harwell/nonsym/hnsymstd.cc
--- arpack++1.2.orig/examples/harwell/nonsym/hnsymstd.cc	2000-02-22 17:47:02.000000000 +0100
+++ arpack++1.2.patched/examples/harwell/nonsym/hnsymstd.cc	2006-01-26 15:37:49.000000000 +0100
@@ -33,7 +33,7 @@
       Houston, Texas
 */
 
-#include <iostream.h>
+#include <iostream>
 #include "arerror.h"
 #include "arlnsmat.h"
 #include "arlsnsym.h"
@@ -46,20 +46,20 @@ void PrintHelp()
 */
 {
 
-  cout << "ARPACK++ version 1.2 feb 2000" << endl;
-  cout << "hnsymstd: a standard nonsymmetric eigenproblems solver" << endl;
-  cout << "usage:    hnsymstd [parameters] file" << endl;
-  cout << "parameters:" << endl;
-  cout << "      -n (number of desired eigenvalues)" << endl;
-  cout << "      -c (number of Arnoldi vectors per iteration)" << endl;
-  cout << "      -l (maximum number of iterations)" << endl;
-  cout << "      -s (shift)" << endl;
-  cout << "      -t (stopping criterion)" << endl;
-  cout << "      -u (LU pivot threshold)" << endl;
-  cout << "      -o (column ordering for factorization)" << endl;
-  cout << "      -w (desired portion of the spectrum. " << endl;
-  cout << "          acceptable values: LM, SM, LR, SR, LI, SI)" << endl;
-  cout << endl;
+  std::cout << "ARPACK++ version 1.2 feb 2000" << std::endl;
+  std::cout << "hnsymstd: a standard nonsymmetric eigenproblems solver" << std::endl;
+  std::cout << "usage:    hnsymstd [parameters] file" << std::endl;
+  std::cout << "parameters:" << std::endl;
+  std::cout << "      -n (number of desired eigenvalues)" << std::endl;
+  std::cout << "      -c (number of Arnoldi vectors per iteration)" << std::endl;
+  std::cout << "      -l (maximum number of iterations)" << std::endl;
+  std::cout << "      -s (shift)" << std::endl;
+  std::cout << "      -t (stopping criterion)" << std::endl;
+  std::cout << "      -u (LU pivot threshold)" << std::endl;
+  std::cout << "      -o (column ordering for factorization)" << std::endl;
+  std::cout << "      -w (desired portion of the spectrum. " << std::endl;
+  std::cout << "          acceptable values: LM, SM, LR, SR, LI, SI)" << std::endl;
+  std::cout << std::endl;
 
 } // PrintHelp.
 
@@ -133,7 +133,7 @@ bool ReadParameters(int n, char* v[], in
           thresh = atof(v[i++]);
           break;
         default :
-          cout << "unrecognized parameter: -" << v[i-1][1] << endl;
+          std::cout << "unrecognized parameter: -" << v[i-1][1] << std::endl;
           ok = false; 
         }
       }
diff -rupN arpack++1.2.orig/examples/harwell/nonsym/Makefile arpack++1.2.patched/examples/harwell/nonsym/Makefile
--- arpack++1.2.orig/examples/harwell/nonsym/Makefile	2000-02-22 17:36:26.000000000 +0100
+++ arpack++1.2.patched/examples/harwell/nonsym/Makefile	2006-01-26 15:37:49.000000000 +0100
@@ -26,7 +26,7 @@ hnsymgen:	hnsymgen.o
 
 .PHONY:	clean
 clean:
-	rm -f *~ *.o core
+	rm -f *~ *.o core hnsymstd hnsymgen
 
 # defining pattern rules.
 
diff -rupN arpack++1.2.orig/examples/harwell/sym/hsymgen.cc arpack++1.2.patched/examples/harwell/sym/hsymgen.cc
--- arpack++1.2.orig/examples/harwell/sym/hsymgen.cc	2000-02-22 17:50:18.000000000 +0100
+++ arpack++1.2.patched/examples/harwell/sym/hsymgen.cc	2006-01-26 15:37:48.000000000 +0100
@@ -33,7 +33,7 @@
       Houston, Texas
 */
 
-#include <iostream.h>
+#include <iostream>
 #include "arerror.h"
 #include "arlsmat.h"
 #include "arlgsym.h"
@@ -46,22 +46,22 @@ void PrintHelp()
 */
 {
 
-  cout << "ARPACK++ version 1.2 feb 2000" << endl;
-  cout << "hsymgen: a generalized symmetric eigenproblems solver" << endl;
-  cout << "usage:   hsymgen [parameters] file1 file2" << endl;
-  cout << "parameters:" << endl;
-  cout << "      -n <number of desired eigenvalues>" << endl;
-  cout << "      -c <number of Arnoldi vectors per iteration>" << endl;
-  cout << "      -l <maximum number of iterations>" << endl;
-  cout << "      -s <shift>" << endl;
-  cout << "      -i <invert mode: 'S'hift-invert, 'B'uckling or 'C'ayley)>";
-  cout << endl;
-  cout << "      -t <stopping criterion>" << endl;
-  cout << "      -u <LU pivot threshold>" << endl;
-  cout << "      -o <column ordering for factorization>" << endl;
-  cout << "      -w <desired portion of the spectrum. " << endl;
-  cout << "          acceptable values: LM, SM, LA, SA, BE>" << endl;
-  cout << endl;
+  std::cout << "ARPACK++ version 1.2 feb 2000" << std::endl;
+  std::cout << "hsymgen: a generalized symmetric eigenproblems solver" << std::endl;
+  std::cout << "usage:   hsymgen [parameters] file1 file2" << std::endl;
+  std::cout << "parameters:" << std::endl;
+  std::cout << "      -n <number of desired eigenvalues>" << std::endl;
+  std::cout << "      -c <number of Arnoldi vectors per iteration>" << std::endl;
+  std::cout << "      -l <maximum number of iterations>" << std::endl;
+  std::cout << "      -s <shift>" << std::endl;
+  std::cout << "      -i <invert mode: 'S'hift-invert, 'B'uckling or 'C'ayley)>";
+  std::cout << std::endl;
+  std::cout << "      -t <stopping criterion>" << std::endl;
+  std::cout << "      -u <LU pivot threshold>" << std::endl;
+  std::cout << "      -o <column ordering for factorization>" << std::endl;
+  std::cout << "      -w <desired portion of the spectrum. " << std::endl;
+  std::cout << "          acceptable values: LM, SM, LA, SA, BE>" << std::endl;
+  std::cout << std::endl;
 
 } // PrintHelp.
 
@@ -122,7 +122,7 @@ bool ReadParameters(int n, char* v[], in
         case 'i':
           mode = v[i++][0];
           if ((mode!='S')&&(mode!='B')&&(mode!='C')) {
-            cout << "invalid invert mode: " << mode << endl;
+            std::cout << "invalid invert mode: " << mode << std::endl;
             ok = false;
           }
           break;
@@ -145,7 +145,7 @@ bool ReadParameters(int n, char* v[], in
           thresh = atof(v[i++]);
           break;
         default :
-          cout << "unrecognized parameter: -" << v[i-1][1] << endl;
+          std::cout << "unrecognized parameter: -" << v[i-1][1] << std::endl;
           ok = false;
         }
       }
diff -rupN arpack++1.2.orig/examples/harwell/sym/hsymstd.cc arpack++1.2.patched/examples/harwell/sym/hsymstd.cc
--- arpack++1.2.orig/examples/harwell/sym/hsymstd.cc	2000-02-22 17:43:30.000000000 +0100
+++ arpack++1.2.patched/examples/harwell/sym/hsymstd.cc	2006-01-26 15:37:48.000000000 +0100
@@ -33,7 +33,7 @@
       Houston, Texas
 */
 
-#include <iostream.h>
+#include <iostream>
 #include "arerror.h"
 #include "arlsmat.h"
 #include "arlssym.h"
@@ -46,20 +46,20 @@ void PrintHelp()
 */
 {
 
-  cout << "ARPACK++ version 1.2 feb 2000" << endl;
-  cout << "hsymstd: a standard symmetric eigenvalue problems solver" << endl;
-  cout << "usage:   hsymstd [parameters] file" << endl;
-  cout << "parameters:" << endl;
-  cout << "      -n (number of desired eigenvalues)" << endl;
-  cout << "      -c (number of Arnoldi vectors per iteration)" << endl;
-  cout << "      -l (maximum number of iterations)" << endl;
-  cout << "      -s (shift)" << endl;
-  cout << "      -t (stopping criterion)" << endl;
-  cout << "      -u (LU pivot threshold)" << endl;
-  cout << "      -o (column ordering for factorization)" << endl;
-  cout << "      -w (desired portion of the spectrum. " << endl;
-  cout << "          acceptable values: LM, SM, LA, SA, BE)" << endl;
-  cout << endl;
+  std::cout << "ARPACK++ version 1.2 feb 2000" << std::endl;
+  std::cout << "hsymstd: a standard symmetric eigenvalue problems solver" << std::endl;
+  std::cout << "usage:   hsymstd [parameters] file" << std::endl;
+  std::cout << "parameters:" << std::endl;
+  std::cout << "      -n (number of desired eigenvalues)" << std::endl;
+  std::cout << "      -c (number of Arnoldi vectors per iteration)" << std::endl;
+  std::cout << "      -l (maximum number of iterations)" << std::endl;
+  std::cout << "      -s (shift)" << std::endl;
+  std::cout << "      -t (stopping criterion)" << std::endl;
+  std::cout << "      -u (LU pivot threshold)" << std::endl;
+  std::cout << "      -o (column ordering for factorization)" << std::endl;
+  std::cout << "      -w (desired portion of the spectrum. " << std::endl;
+  std::cout << "          acceptable values: LM, SM, LA, SA, BE)" << std::endl;
+  std::cout << std::endl;
 
 } // PrintHelp.
 
@@ -133,7 +133,7 @@ bool ReadParameters(int n, char* v[], in
           thresh = atof(v[i++]);
           break;
         default :
-          cout << "unrecognized parameter: -" << v[i-1][1] << endl;
+          std::cout << "unrecognized parameter: -" << v[i-1][1] << std::endl;
           ok = false; 
         }
       }
diff -rupN arpack++1.2.orig/examples/harwell/sym/Makefile arpack++1.2.patched/examples/harwell/sym/Makefile
--- arpack++1.2.orig/examples/harwell/sym/Makefile	2000-02-22 17:51:04.000000000 +0100
+++ arpack++1.2.patched/examples/harwell/sym/Makefile	2006-01-26 15:37:48.000000000 +0100
@@ -26,7 +26,7 @@ hsymgen:	hsymgen.o
 
 .PHONY:	clean
 clean:
-	rm -f *~ *.o core
+	rm -f *~ *.o core hsymstd hsymgen
 
 # defining pattern rules.
 
diff -rupN arpack++1.2.orig/examples/matprod/complex/cmatrixb.h arpack++1.2.patched/examples/matprod/complex/cmatrixb.h
--- arpack++1.2.orig/examples/matprod/complex/cmatrixb.h	1997-08-01 17:07:42.000000000 +0200
+++ arpack++1.2.patched/examples/matprod/complex/cmatrixb.h	2006-01-26 15:37:48.000000000 +0100
@@ -86,31 +86,31 @@ void CompMatrixB<T>::FactorOP()
   const arcomplex<T> one(1.0, 0.0);
   const arcomplex<T> two(2.0, 0.0);
 
-  if (decsize != ncols()) {
-    decsize = ncols();
+  if (decsize != this->ncols()) {
+    decsize = this->ncols();
     FactorDataDeallocate();
-    Ad   = new arcomplex<T>[ncols()];
-    Adl  = new arcomplex<T>[ncols()];
-    Adu  = new arcomplex<T>[ncols()];
-    Adu2 = new arcomplex<T>[ncols()];
-    ipiv = new int[ncols()];
+    Ad   = new arcomplex<T>[this->ncols()];
+    Adl  = new arcomplex<T>[this->ncols()];
+    Adu  = new arcomplex<T>[this->ncols()];
+    Adu2 = new arcomplex<T>[this->ncols()];
+    ipiv = new int[this->ncols()];
   }
 
-  h  = one/arcomplex<T>((ncols()+1),0.0);
+  h  = one/arcomplex<T>((this->ncols()+1),0.0);
   h2 = h*h;
   s  = rho/two;
   s1 = -one/h2 - s/h;
   s2 = two/h2 - shift;
   s3 = -one/h2 + s/h;
 
-  for (j=0; j<ncols()-1; j++) {
+  for (j=0; j<this->ncols()-1; j++) {
     Adl[j] = s1;
     Ad[j]  = s2;
     Adu[j] = s3;
   }
-  Ad[ncols()-1]  = s2;
+  Ad[this->ncols()-1]  = s2;
 
-  gttrf(ncols(), Adl, Ad, Adu, Adu2, ipiv, ierr);
+  gttrf(this->ncols(), Adl, Ad, Adu, Adu2, ipiv, ierr);
 
 } // FactorOP.
 
@@ -129,7 +129,7 @@ void CompMatrixB<T>::MultMv(arcomplex<T>
   const arcomplex<T> one( 1.0, 0.0);
   const arcomplex<T> two( 2.0, 0.0);
 
-  h  = one/arcomplex<T>((ncols()+1),0.0);
+  h  = one/arcomplex<T>((this->ncols()+1),0.0);
   h2 = h*h;
   s  = rho/two;
   dd = two/h2;
@@ -137,10 +137,10 @@ void CompMatrixB<T>::MultMv(arcomplex<T>
   du = -one/h2 + s/h;
 
   w[0] = dd*v[0] + du*v[1];
-  for (j=1; j<ncols()-1; j++) {
+  for (j=1; j<this->ncols()-1; j++) {
     w[j] = dl*v[j-1] + dd*v[j] + du*v[j+1];
   }
-  w[ncols()-1] = dl*v[ncols()-2] + dd*v[ncols()-1];
+  w[this->ncols()-1] = dl*v[this->ncols()-2] + dd*v[this->ncols()-1];
 
 } //  MultMv.
 
@@ -156,8 +156,8 @@ void CompMatrixB<T>::MultOPv(arcomplex<T
   int  ierr;
   char *type = "N";
 
-  copy(ncols(), v, 1, w, 1);
-  gttrs(type, ncols(), 1, Adl, Ad, Adu, Adu2, ipiv, w, ncols(), ierr);
+  copy(this->ncols(), v, 1, w, 1);
+  gttrs(type, this->ncols(), 1, Adl, Ad, Adu, Adu2, ipiv, w, this->ncols(), ierr);
 
 } // MultOPv.
 
@@ -220,4 +220,3 @@ inline CompMatrixB<T>::~CompMatrixB()
 
 
 #endif // CMATRIXB_H
-
diff -rupN arpack++1.2.orig/examples/matprod/complex/cmatrixc.h arpack++1.2.patched/examples/matprod/complex/cmatrixc.h
--- arpack++1.2.orig/examples/matprod/complex/cmatrixc.h	1997-08-01 17:06:49.000000000 +0200
+++ arpack++1.2.patched/examples/matprod/complex/cmatrixc.h	2006-01-26 15:37:48.000000000 +0100
@@ -46,23 +46,19 @@ void ComplexMatrixC<T>::MultMv(arcomplex
   const arcomplex<T> two( 2.0, 0.0);
   const arcomplex<T> rho(10.0, 0.0);
 
-  h  = one/arcomplex<T>((ncols()+1),0.0);
+  h  = one/arcomplex<T>((this->ncols()+1),0.0);
   s  = rho/two;
   dd = two/h;
   dl = -one/h - s;
   du = -one/h + s;
 
   w[0] = dd*v[0] + du*v[1];
-  for (j=1; j<ncols()-1; j++) {
+  for (j=1; j<this->ncols()-1; j++) {
     w[j] = dl*v[j-1] + dd*v[j] + du*v[j+1];
   }
-  w[ncols()-1] = dl*v[ncols()-2] + dd*v[ncols()-1];
+  w[this->ncols()-1] = dl*v[this->ncols()-2] + dd*v[this->ncols()-1];
 
 } //  MultMv.
 
 
 #endif // CMATRIXC_H
-
-
-
-
diff -rupN arpack++1.2.orig/examples/matprod/complex/cmatrixd.h arpack++1.2.patched/examples/matprod/complex/cmatrixd.h
--- arpack++1.2.orig/examples/matprod/complex/cmatrixd.h	1997-08-01 17:06:07.000000000 +0200
+++ arpack++1.2.patched/examples/matprod/complex/cmatrixd.h	2006-01-26 15:37:48.000000000 +0100
@@ -81,8 +81,8 @@ void ComplexMatrixD<T>::FactorM()
   const arcomplex<T> one(1.0, 0.0);
   const arcomplex<T> four(4.0, 0.0);
 
-  if (decsize != ncols()) {
-    decsize = ncols();
+  if (decsize != this->ncols()) {
+    decsize = this->ncols();
     FactorDataDeallocate();
     Ad   = new arcomplex<T>[decsize];
     Adl  = new arcomplex<T>[decsize];
@@ -91,16 +91,16 @@ void ComplexMatrixD<T>::FactorM()
     ipiv = new int[decsize];
   }
 
-  h  = one/arcomplex<T>((ncols()+1),0.0);
+  h  = one/arcomplex<T>((this->ncols()+1),0.0);
 
-  for (j=0; j<ncols()-1; j++) {
+  for (j=0; j<this->ncols()-1; j++) {
     Adl[j] = one*h;
     Ad[j]  = four*h;
     Adu[j] = one*h;
   }
-  Ad[ncols()-1]  = four*h;
+  Ad[this->ncols()-1]  = four*h;
 
-  gttrf(ncols(), Adl, Ad, Adu, Adu2, ipiv, ierr);
+  gttrf(this->ncols(), Adl, Ad, Adu, Adu2, ipiv, ierr);
 
 } // FactorM.
 
@@ -116,13 +116,13 @@ void ComplexMatrixD<T>::MultMv(arcomplex
   const arcomplex<T> four(4.0, 0.0);
 
   w[0] = four*v[0] + one*v[1];
-  for (j=1; j<ncols()-1; j++) {
+  for (j=1; j<this->ncols()-1; j++) {
     w[j] = one*v[j-1] + four*v[j] + one*v[j+1];
   }
-  w[ncols()-1] = one*v[ncols()-2] + four*v[ncols()-1];
+  w[this->ncols()-1] = one*v[this->ncols()-2] + four*v[this->ncols()-1];
 
-  h = one/arcomplex<T>((ncols()+1),0.0);
-  scal(ncols(), h, w, 1);
+  h = one/arcomplex<T>((this->ncols()+1),0.0);
+  scal(this->ncols(), h, w, 1);
 
 } // MultMv.
 
@@ -134,7 +134,7 @@ inline void ComplexMatrixD<T>::SolveM(ar
   int  ierr;
   char *type = "N";
 
-  gttrs(type, ncols(), 1, Adl, Ad, Adu, Adu2, ipiv, v, ncols(), ierr);
+  gttrs(type, this->ncols(), 1, Adl, Ad, Adu, Adu2, ipiv, v, this->ncols(), ierr);
 
 } // SolveM.
 
@@ -164,4 +164,3 @@ inline ComplexMatrixD<T>::~ComplexMatrix
 
 
 #endif // CMATRIXD_H
-
diff -rupN arpack++1.2.orig/examples/matprod/complex/cmatrixe.h arpack++1.2.patched/examples/matprod/complex/cmatrixe.h
--- arpack++1.2.orig/examples/matprod/complex/cmatrixe.h	1997-08-01 17:05:21.000000000 +0200
+++ arpack++1.2.patched/examples/matprod/complex/cmatrixe.h	2006-01-26 15:37:48.000000000 +0100
@@ -49,17 +49,17 @@ void ComplexMatrixE<T>::MultMv(arcomplex
   const arcomplex<T> one( 1.0, 0.0);
   const arcomplex<T> two( 2.0, 0.0);
 
-  h  = one/arcomplex<T>((ncols()+1),0.0);
+  h  = one/arcomplex<T>((this->ncols()+1),0.0);
   s  = rho/two;
   dd = two/h;
   dl = -one/h - s;
   du = -one/h + s;
 
   w[0] = dd*v[0] + du*v[1];
-  for (j=1; j<ncols()-1; j++) {
+  for (j=1; j<this->ncols()-1; j++) {
     w[j] = dl*v[j-1] + dd*v[j] + du*v[j+1];
   }
-  w[ncols()-1] = dl*v[ncols()-2] + dd*v[ncols()-1];
+  w[this->ncols()-1] = dl*v[this->ncols()-2] + dd*v[this->ncols()-1];
 
 } //  MultMv.
 
@@ -74,5 +74,3 @@ ComplexMatrixE(int nx, arcomplex<T> rhop
 } // Constructor
 
 #endif // CMATRIXE_H
-
-
diff -rupN arpack++1.2.orig/examples/matprod/complex/cmatrixf.h arpack++1.2.patched/examples/matprod/complex/cmatrixf.h
--- arpack++1.2.orig/examples/matprod/complex/cmatrixf.h	1997-08-01 17:04:52.000000000 +0200
+++ arpack++1.2.patched/examples/matprod/complex/cmatrixf.h	2006-01-26 15:37:48.000000000 +0100
@@ -48,16 +48,15 @@ void ComplexMatrixF<T>::MultMv(arcomplex
   const arcomplex<T> four(4.0, 0.0);
 
   w[0] = four*v[0] + one*v[1];
-  for (j=1; j<ncols()-1; j++) {
+  for (j=1; j<this->ncols()-1; j++) {
     w[j] = one*v[j-1] + four*v[j] + one*v[j+1];
   }
-  w[ncols()-1] = one*v[ncols()-2] + four*v[ncols()-1];
+  w[this->ncols()-1] = one*v[this->ncols()-2] + four*v[this->ncols()-1];
 
-  h = one/arcomplex<T>((ncols()+1),0.0);
-  scal(ncols(), h, w, 1);
+  h = one/arcomplex<T>((this->ncols()+1),0.0);
+  scal(this->ncols(), h, w, 1);
 
 } // MultMv.
 
 
 #endif // CMATRIXF_H
-
diff -rupN arpack++1.2.orig/examples/matprod/nonsym/nmatrixb.h arpack++1.2.patched/examples/matprod/nonsym/nmatrixb.h
--- arpack++1.2.orig/examples/matprod/nonsym/nmatrixb.h	1997-08-01 17:00:19.000000000 +0200
+++ arpack++1.2.patched/examples/matprod/nonsym/nmatrixb.h	2006-01-26 15:37:47.000000000 +0100
@@ -83,30 +83,30 @@ void NonSymMatrixB<T>::FactorOP()
   const T one = 1.0;
   const T two = 2.0;
 
-  if (decsize != ncols()) {
-    decsize = ncols();
+  if (decsize != this->ncols()) {
+    decsize = this->ncols();
     FactorDataDeallocate();
-    Ad   = new T[ncols()];
-    Adl  = new T[ncols()];
-    Adu  = new T[ncols()];
-    Adu2 = new T[ncols()];
-    ipiv = new int[ncols()];
+    Ad   = new T[this->ncols()];
+    Adl  = new T[this->ncols()];
+    Adu  = new T[this->ncols()];
+    Adu2 = new T[this->ncols()];
+    ipiv = new int[this->ncols()];
   }
 
-  h  = one/T(ncols()+1);
+  h  = one/T(this->ncols()+1);
   s  = rho*h/two;
   s1 = -one - s;
   s2 = two - shift;
   s3 = -one + s;
 
-  for (j=0; j<ncols()-1; j++) {
+  for (j=0; j<this->ncols()-1; j++) {
     Adl[j] = s1;
     Ad[j]  = s2;
     Adu[j] = s3;
   }
-  Ad[ncols()-1]  = s2;
+  Ad[this->ncols()-1]  = s2;
 
-  gttrf(ncols(), Adl, Ad, Adu, Adu2, ipiv, ierr);
+  gttrf(this->ncols(), Adl, Ad, Adu, Adu2, ipiv, ierr);
 
 } // FactorOP.
 
@@ -125,17 +125,17 @@ void NonSymMatrixB<T>::MultMv(T* v, T* w
   const T one = 1.0;
   const T two = 2.0;
 
-  h  = one/T(ncols()+1);
+  h  = one/T(this->ncols()+1);
   s  = rho*h/two;
   dd = two;
   dl = -one - s;
   du = -one + s;
 
   w[0] = dd*v[0] + du*v[1];
-  for (j=1; j<ncols()-1; j++) {
+  for (j=1; j<this->ncols()-1; j++) {
     w[j] = dl*v[j-1] + dd*v[j] + du*v[j+1];
   }
-  w[ncols()-1] = dl*v[ncols()-2] + dd*v[ncols()-1];
+  w[this->ncols()-1] = dl*v[this->ncols()-2] + dd*v[this->ncols()-1];
 
   return;
 
@@ -153,8 +153,8 @@ void NonSymMatrixB<T>::MultOPv(T* v, T* 
   int  ierr;
   char *type = "N";
 
-  copy(ncols(), v, 1, w, 1);
-  gttrs(type, ncols(), 1, Adl, Ad, Adu, Adu2, ipiv, w, ncols(), ierr);
+  copy(this->ncols(), v, 1, w, 1);
+  gttrs(type, this->ncols(), 1, Adl, Ad, Adu, Adu2, ipiv, w, this->ncols(), ierr);
 
 } // MultOPv
 
@@ -215,4 +215,3 @@ inline NonSymMatrixB<T>::~NonSymMatrixB(
 
 
 #endif // NMATRIXB_H
-
diff -rupN arpack++1.2.orig/examples/matprod/nonsym/nmatrixc.h arpack++1.2.patched/examples/matprod/nonsym/nmatrixc.h
--- arpack++1.2.orig/examples/matprod/nonsym/nmatrixc.h	1997-08-01 16:59:34.000000000 +0200
+++ arpack++1.2.patched/examples/matprod/nonsym/nmatrixc.h	2006-01-26 15:37:48.000000000 +0100
@@ -49,21 +49,19 @@ void NonSymMatrixC<T>::MultMv(T* v, T* w
   const T two = 2.0;
   const T rho = 10.0;
 
-  h  = one/T(ncols()+1);
+  h  = one/T(this->ncols()+1);
   s  = rho/two;
   dd = two/h;
   dl = -one/h - s;
   du = -one/h + s;
 
   w[0] = dd*v[0] + du*v[1];
-  for (j=1; j<ncols()-1; j++) {
+  for (j=1; j<this->ncols()-1; j++) {
     w[j] = dl*v[j-1] + dd*v[j] + du*v[j+1];
   }
-  w[ncols()-1] = dl*v[ncols()-2] + dd*v[ncols()-1];
+  w[this->ncols()-1] = dl*v[this->ncols()-2] + dd*v[this->ncols()-1];
 
 } //  MultMv.
 
 
 #endif // NMATRIXC_H
-
-
diff -rupN arpack++1.2.orig/examples/matprod/nonsym/nmatrixd.h arpack++1.2.patched/examples/matprod/nonsym/nmatrixd.h
--- arpack++1.2.orig/examples/matprod/nonsym/nmatrixd.h	1997-08-01 16:58:54.000000000 +0200
+++ arpack++1.2.patched/examples/matprod/nonsym/nmatrixd.h	2006-01-26 15:37:48.000000000 +0100
@@ -77,22 +77,22 @@ void NonSymMatrixD<T>::FactorM()
   const T one  = 1.0;
   const T four = 4.0;
 
-  if (decsize != ncols()) {
-    decsize = ncols();
+  if (decsize != this->ncols()) {
+    decsize = this->ncols();
     FactorDataDeallocate();
-    Md   = new T[ncols()];
-    Me   = new T[ncols()];
+    Md   = new T[this->ncols()];
+    Me   = new T[this->ncols()];
   }
 
-  h  = one/T(ncols()+1);
+  h  = one/T(this->ncols()+1);
 
-  for (i=0; i<ncols()-1; i++) {
+  for (i=0; i<this->ncols()-1; i++) {
     Md[i] = four*h;
     Me[i] = h;
   }
-  Md[ncols()-1] = four*h;
+  Md[this->ncols()-1] = four*h;
 
-  pttrf(ncols(), Md, Me, ierr);
+  pttrf(this->ncols(), Md, Me, ierr);
 
 } // FactorM.
 
@@ -108,13 +108,13 @@ void NonSymMatrixD<T>::MultMv(T* v, T* w
   const T four = 4.0;
 
   w[0] = four*v[0] + one*v[1];
-  for (j=1; j<ncols()-1; j++) {
+  for (j=1; j<this->ncols()-1; j++) {
     w[j] = one*v[j-1] + four*v[j] + one*v[j+1];
   }
-  w[ncols()-1] = one*v[ncols()-2] + four*v[ncols()-1];
+  w[this->ncols()-1] = one*v[this->ncols()-2] + four*v[this->ncols()-1];
 
-  h = one/T(ncols()+1);
-  scal(ncols(), h, w, 1);
+  h = one/T(this->ncols()+1);
+  scal(this->ncols(), h, w, 1);
 
 } // MultMv.
 
@@ -125,7 +125,7 @@ inline void NonSymMatrixD<T>::SolveM(T* 
 
   int  ierr;
 
-  pttrs(ncols(), 1, Md, Me, v, ncols(), ierr);
+  pttrs(this->ncols(), 1, Md, Me, v, this->ncols(), ierr);
 
 } // SolveM.
 
@@ -151,4 +151,3 @@ inline NonSymMatrixD<T>::~NonSymMatrixD(
 
 
 #endif // NMATRIXD_H
-
diff -rupN arpack++1.2.orig/examples/matprod/nonsym/nmatrixe.h arpack++1.2.patched/examples/matprod/nonsym/nmatrixe.h
--- arpack++1.2.orig/examples/matprod/nonsym/nmatrixe.h	1997-08-01 16:58:15.000000000 +0200
+++ arpack++1.2.patched/examples/matprod/nonsym/nmatrixe.h	2006-01-26 15:37:48.000000000 +0100
@@ -43,15 +43,12 @@ void NonSymMatrixE<T>::MultMv(T* v, T* w
   const T two   = 2.0;
 
   w[0] = two*v[0] + three*v[1];
-  for (j=1; j<ncols()-1; j++) {
+  for (j=1; j<this->ncols()-1; j++) {
     w[j] = -two*v[j-1] + two*v[j] + three*v[j+1];
   }
-  w[ncols()-1] = -two*v[ncols()-2] + two*v[ncols()-1];
+  w[this->ncols()-1] = -two*v[this->ncols()-2] + two*v[this->ncols()-1];
 
 } //  MultMv.
 
 
 #endif // NMATRIXE_H
-
-
-
diff -rupN arpack++1.2.orig/examples/matprod/nonsym/nmatrixf.h arpack++1.2.patched/examples/matprod/nonsym/nmatrixf.h
--- arpack++1.2.orig/examples/matprod/nonsym/nmatrixf.h	1997-08-01 16:57:51.000000000 +0200
+++ arpack++1.2.patched/examples/matprod/nonsym/nmatrixf.h	2006-01-26 15:37:48.000000000 +0100
@@ -46,13 +46,12 @@ void NonSymMatrixF<T>::MultMv(T* v, T* w
   const T four = 4.0;
 
   w[0] = four*v[0] + one*v[1];
-  for (j=1; j<ncols()-1; j++) {
+  for (j=1; j<this->ncols()-1; j++) {
     w[j] = one*v[j-1] + four*v[j] + one*v[j+1];
   }
-  w[ncols()-1] = one*v[ncols()-2] + four*v[ncols()-1];
+  w[this->ncols()-1] = one*v[this->ncols()-2] + four*v[this->ncols()-1];
 
 } // MultMv.
 
 
 #endif // NMATRIXF_H
-
diff -rupN arpack++1.2.orig/examples/matprod/nonsym/nmatrixv.h arpack++1.2.patched/examples/matprod/nonsym/nmatrixv.h
--- arpack++1.2.orig/examples/matprod/nonsym/nmatrixv.h	1997-08-01 16:57:28.000000000 +0200
+++ arpack++1.2.patched/examples/matprod/nonsym/nmatrixv.h	2006-01-26 15:37:48.000000000 +0100
@@ -66,13 +66,13 @@ void NonSymMatrixV<T>::MultMv(T* v, T* w
   int  i,j;
   T    h,k,s,t,z;
 
-  h  = 1.0/T(nrows()+1);
-  k  = 1.0/T(ncols()+1);
+  h  = 1.0/T(this->nrows()+1);
+  k  = 1.0/T(this->ncols()+1);
 
-  for (i=0; i!=nrows(); i++) w[i] = 0.0;
+  for (i=0; i!=this->nrows(); i++) w[i] = 0.0;
 
   t = 0.0;
-  for (j=0; j!=ncols(); j++) {
+  for (j=0; j!=this->ncols(); j++) {
     t += k;
     s  = 0.0;
     z  = v[j];
@@ -80,7 +80,7 @@ void NonSymMatrixV<T>::MultMv(T* v, T* w
       s    += h;
       w[i] += k*s*(t-1.0)*z;
     }
-    for (i=j+1; i!=nrows(); i++) {
+    for (i=j+1; i!=this->nrows(); i++) {
       s    += h;
       w[i] += k*t*(s-1.0)*z;
     }
@@ -102,11 +102,11 @@ void NonSymMatrixV<T>::MultMtv(T* v, T* 
   int  i,j;
   T    h,k,s,t,z;
 
-  h  = 1.0/T(nrows()+1);
-  k  = 1.0/T(ncols()+1);
+  h  = 1.0/T(this->nrows()+1);
+  k  = 1.0/T(this->ncols()+1);
 
   t = 0.0;
-  for (j=0; j!=ncols(); j++) {
+  for (j=0; j!=this->ncols(); j++) {
     t += k;
     z  = 0.0;
     s  = 0.0;
@@ -114,7 +114,7 @@ void NonSymMatrixV<T>::MultMtv(T* v, T* 
       s += h;
       z += k*s*(t-1.0)*v[i];
     }
-    for (i=j+1; i!=nrows(); i++) {
+    for (i=j+1; i!=this->nrows(); i++) {
       s += h;
       z += k*t*(s-1.0)*v[i];
     }
@@ -134,7 +134,7 @@ void NonSymMatrixV<T>::MultOPv(T* v, T* 
 
 {
 
-  T* t = new T[nrows()];
+  T* t = new T[this->nrows()];
 
   MultMv(v,t);
   MultMtv(t,w);
diff -rupN arpack++1.2.orig/examples/matprod/sym/smatrixb.h arpack++1.2.patched/examples/matprod/sym/smatrixb.h
--- arpack++1.2.orig/examples/matprod/sym/smatrixb.h	2000-02-21 21:34:54.000000000 +0100
+++ arpack++1.2.patched/examples/matprod/sym/smatrixb.h	2006-01-26 15:37:47.000000000 +0100
@@ -80,25 +80,25 @@ void SymMatrixB<ART>::FactorOP()
   const ART one = 1.0;
   const ART two = 2.0;
 
-  if (decsize != ncols()) {
-    decsize = ncols();
+  if (decsize != this->ncols()) {
+    decsize = this->ncols();
     FactorDataDeallocate();
-    Ad   = new ART[ncols()];
-    Adl  = new ART[ncols()];
-    Adu  = new ART[ncols()];
-    Adu2 = new ART[ncols()];
-    ipiv = new int[ncols()];
+    Ad   = new ART[this->ncols()];
+    Adl  = new ART[this->ncols()];
+    Adu  = new ART[this->ncols()];
+    Adu2 = new ART[this->ncols()];
+    ipiv = new int[this->ncols()];
   }
 
-  h2 = ART((ncols()+1)*(ncols()+1));
+  h2 = ART((this->ncols()+1)*(this->ncols()+1));
 
-  for (i=0; i<ncols(); i++) {
+  for (i=0; i<this->ncols(); i++) {
     Ad[i]  = two*h2 - shift;
     Adl[i] = -one*h2;
   }
 
-  copy(ncols(), Adl, 1, Adu, 1);
-  gttrf(ncols(), Adl, Ad, Adu, Adu2, ipiv, ierr);
+  copy(this->ncols(), Adl, 1, Adu, 1);
+  gttrf(this->ncols(), Adl, Ad, Adu, Adu2, ipiv, ierr);
 
 } // FactorOP.
 
@@ -117,15 +117,15 @@ void SymMatrixB<ART>::MultMv(ART* v, ART
   const ART two = 2.0;
 
   w[0] =  two*v[0] - v[1];
-  for (j=1; j<ncols()-1; j++) {
+  for (j=1; j<this->ncols()-1; j++) {
     w[j] = - v[j-1] + two*v[j] - v[j+1];
   }
-  w[ncols()-1] = - v[ncols()-2] + two*v[ncols()-1];
+  w[this->ncols()-1] = - v[this->ncols()-2] + two*v[this->ncols()-1];
 
   // Scaling the vector w by (1 / h^2).
 
-  h2 = ART((ncols()+1)*(ncols()+1));
-  scal(ncols(), h2, w, 1L);
+  h2 = ART((this->ncols()+1)*(this->ncols()+1));
+  scal(this->ncols(), h2, w, 1L);
 
   return;
 
@@ -143,8 +143,8 @@ void SymMatrixB<ART>::MultOPv(ART* v, AR
   int  ierr;
   char *type = "N";
 
-  copy(ncols(), v, 1, w, 1);
-  gttrs(type, ncols(), 1, Adl, Ad, Adu, Adu2, ipiv, w, ncols(), ierr);
+  copy(this->ncols(), v, 1, w, 1);
+  gttrs(type, this->ncols(), 1, Adl, Ad, Adu, Adu2, ipiv, w, this->ncols(), ierr);
 
 } // MultOPv
 
@@ -197,4 +197,3 @@ inline SymMatrixB<ART>::~SymMatrixB()
 
 
 #endif // SMATRIXB_H
-
diff -rupN arpack++1.2.orig/examples/matprod/sym/smatrixc.h arpack++1.2.patched/examples/matprod/sym/smatrixc.h
--- arpack++1.2.orig/examples/matprod/sym/smatrixc.h	2000-02-21 21:42:08.000000000 +0100
+++ arpack++1.2.patched/examples/matprod/sym/smatrixc.h	2006-01-26 15:37:47.000000000 +0100
@@ -50,15 +50,15 @@ void SymMatrixC<ART>::MultMv(ART* v, ART
   const ART two = 2.0;
 
   w[0] =  two*v[0] - v[1];
-  for (j=1; j<ncols()-1; j++) {
+  for (j=1; j<this->ncols()-1; j++) {
     w[j] = - v[j-1] + two*v[j] - v[j+1];
   }
-  w[ncols()-1] = - v[ncols()-2] + two*v[ncols()-1];
+  w[this->ncols()-1] = - v[this->ncols()-2] + two*v[this->ncols()-1];
 
   // Scaling the vector w by (1 / h).
 
-  h2 = ART(ncols()+1);
-  scal(ncols(), h2, w, 1L);
+  h2 = ART(this->ncols()+1);
+  scal(this->ncols(), h2, w, 1L);
 
   return;
 
@@ -66,4 +66,3 @@ void SymMatrixC<ART>::MultMv(ART* v, ART
 
 
 #endif // SMATRIXC_H
-
diff -rupN arpack++1.2.orig/examples/matprod/sym/smatrixd.h arpack++1.2.patched/examples/matprod/sym/smatrixd.h
--- arpack++1.2.orig/examples/matprod/sym/smatrixd.h	2000-02-21 21:31:52.000000000 +0100
+++ arpack++1.2.patched/examples/matprod/sym/smatrixd.h	2006-01-26 15:37:47.000000000 +0100
@@ -76,27 +76,27 @@ void SymMatrixD<ART>::FactorM()
   const ART four = 4.0;
   const ART six  = 6.0;
 
-  if (decsize != ncols()) {
-    decsize = ncols();
+  if (decsize != this->ncols()) {
+    decsize = this->ncols();
     FactorDataDeallocate();
-    Ad   = new ART[ncols()];
-    Adl  = new ART[ncols()];
-    Adu  = new ART[ncols()];
-    Adu2 = new ART[ncols()];
-    ipiv = new int[ncols()];
+    Ad   = new ART[this->ncols()];
+    Adl  = new ART[this->ncols()];
+    Adu  = new ART[this->ncols()];
+    Adu2 = new ART[this->ncols()];
+    ipiv = new int[this->ncols()];
   }
 
-  h  = one/ART(ncols()+1);
+  h  = one/ART(this->ncols()+1);
   r2 = h/six;
   r1 = r2*four;
 
-  for (i=0; i<ncols(); i++) {
+  for (i=0; i<this->ncols(); i++) {
     Ad[i]  = r1;
     Adl[i] = r2;
   }
 
-  copy(ncols(), Adl, 1, Adu, 1);
-  gttrf(ncols(), Adl, Ad, Adu, Adu2, ipiv, ierr);
+  copy(this->ncols(), Adl, 1, Adu, 1);
+  gttrf(this->ncols(), Adl, Ad, Adu, Adu2, ipiv, ierr);
 
 } // FactorM.
 
@@ -110,7 +110,7 @@ inline void SymMatrixD<ART>::SolveM(ART*
   int  ierr;
   char *type = "N";
 
-  gttrs(type, ncols(), 1, Adl, Ad, Adu, Adu2, ipiv, v, ncols(), ierr);
+  gttrs(type, this->ncols(), 1, Adl, Ad, Adu, Adu2, ipiv, v, this->ncols(), ierr);
 
 } // SolveM.
 
@@ -128,15 +128,15 @@ void SymMatrixD<ART>::MultMv(ART* v, ART
   const ART six  = 6.0;
 
   w[0] = four*v[0] + v[1];
-  for (j=1; j<ncols()-1; j++) {
+  for (j=1; j<this->ncols()-1; j++) {
     w[j] = v[j-1] + four*v[j] + v[j+1];
   }
-  w[ncols()-1] = v[ncols()-2] + four*v[ncols()-1];
+  w[this->ncols()-1] = v[this->ncols()-2] + four*v[this->ncols()-1];
 
   // Scaling the vector w by h.
 
-  h = one / (ART(ncols()+1)*six);
-  scal(ncols(), h, w, 1L);
+  h = one / (ART(this->ncols()+1)*six);
+  scal(this->ncols(), h, w, 1L);
 
   return;
 
@@ -171,4 +171,3 @@ inline SymMatrixD<ART>::~SymMatrixD()
 
 
 #endif // SMATRIXD_H
-
